Subject: Re: How to resolve conflict: Moved away vs. created new file with same name

From: Johannes Sixt <[email-masked]>
Date: Tue, 19 Jan 2010 15:55:28 +0100

Please keep the discussion on the list. I'm not your personal support dude.

Johannes Schneider schrieb:
> On 01/19/2010 12:55 PM, Johannes Sixt wrote:
>>> So I am trying to mimic the change in TopicA:
>>>
>>> cd client
>>> mkdir client3
>>> mv pom.xml client3
>>> mv src client3
>>> ...commit...
>>
>> Did you do this during the merge? If not, go back to TopicA and redo it;
>> then you avoid the conflict during the merge.
> 
> Yes, I have done this in TopicA *before* the merge. I knew that there
> will be conflicting directories and tried to clean that up before.
> 
>> During the merge without the fixup suggested above:
>>
>> git rm -f client/client3/pom.xml
>> git checkout TopicA -- client/pom.xml
>> git mv client/pom.xml client/client3/pom.xml
>> git checkout TopicB -- client/pom.xml
>>
>> but it leaves you with an ugly history, and it would be far better to fix
>> up TopicA before the merge.
> 
> Yep. I prefer a clean history ;-). So do you know how to solve that
> issue with a cleaned up TopicA branch?

I don't see an issue if you have cleaned up TopicA. Where is it? Did you
really do what you said you did?

-- Hannes